<?php
/*
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2010, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

use bin\{WbAdaptor,SecureTokens,Sanitize};
use bin\helpers\{PreCheck};
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found'); echo '404 Not Found'; \flush(); exit; }
/* -------------------------------------------------------- */
    $sAddonPath   = str_replace('\\','/',__DIR__).'/';
    $sModulesPath = \dirname($sAddonPath).'/';
    $sModuleName  = basename($sModulesPath);
    $sAddonName   = basename($sAddonPath);
    $ModuleRel    = ''.$sModuleName.'/';
    $sAddonRel    = ''.$sModuleName.'/'.$sAddonName.'/';
    $sPattern     = "/^(.*?\/)".$sModuleName."\/.*$/";
    $sAppPath     = preg_replace ($sPattern, "$1", $sModulesPath, 1 );
/* -------------------------------------------------------- */
    $oReg     = Wbadaptor::getInstance();
    $database = $oReg->getDatabase();
    $oApp     = $oReg->getApplication();
    $oRequest = $oReg->getRequester();
    $oTrans   = $oReg->getTranslate();
    $isAuth   = $oApp->is_authenticated();
/* if translate languages needed */
    $sDomain  = $oApp->getDirNamespace(__DIR__);
    $oTrans   = $oReg->getTranslate();
    $oTrans->enableAddon($sDomain);
    $aLang    = $oTrans->getLangArray();

/* -------------------------------------------------------- */
    $sCallingScript = $oReg->Request->getServerVar('SCRIPT_NAME');
    $ModuleUrl      = $oReg->AppUrl.$ModuleRel;
    $sAddonUrl      = $oReg->AppUrl.$sAddonRel;
/* -------------------------------------------------------- */
    $requestMethod = \strtoupper($oReg->Request->getServerVar('REQUEST_METHOD'));
    $aRequestVars  = [];
// get POST or GET requests, never both at once
    $aVars = $oReg->Request->getParamNames();
    foreach ($aVars as $sName) {
        $aRequestVars[$sName] = $oReg->Request->getParam($sName);
    }
/* -------------------------------------------------------- */
    $addBracket = (function (){
        $aList = func_get_args();
    //    return preg_replace('/^(.*)$/', '/\[$1\]/s', $aList);
        return preg_replace('/^(.*)$/', '[$1]', $aList);
    });
/* -------------------------------------------------------- */

// Get settings
    $sSqlSM =
    '
    SELECT * FROM `'.TABLE_PREFIX.'mod_sitemap`
    WHERE `section_id` = '.$section_id.'
    ';
    if ($oSitemap = $database->query($sSqlSM))
    if (($aSitemap = $oSitemap->fetchRow(MYSQLI_ASSOC))) {
        $header = stripslashes($aSitemap['header']);
        $sitemaploop = stripslashes($aSitemap['sitemaploop']);
        $footer = stripslashes($aSitemap['footer']);
        $level_header = stripslashes($aSitemap['level_header']);
        $level_footer = stripslashes($aSitemap['level_footer']);
        $static = $aSitemap['static'];
        $startatroot = $aSitemap['startatroot'];
        $depth = $aSitemap['depth'];
        $show_hidden = $aSitemap['show_hidden'];
    }

// Set Show Hidden to false
    echo $header;

    if (($static == true) || ($static == false)) {

        // Set private sql extra code
        if(FRONTEND_LOGIN == 'enabled' && is_numeric($admin->get_session('USER_ID'))) {
            $private_sql = ",viewing_groups,viewing_users";
            $private_where_sql = "visibility != 'none'";
        } else {
            $private_sql = "";
            $private_where_sql = "visibility = 'public'";
        }

        // determine sitemap starting point
        global $page_id;
        switch($startatroot) {
            case 2:
                // value 2 means start at current page
                $parent = $page_id;
                break;

            case 3:
                // value 3 means start at parent of current page
                global $database;
                $query_parent_id = $database->query("SELECT `parent` FROM `".TABLE_PREFIX."pages` WHERE `page_id`='$page_id'");
                if ($query_parent_id->numRows() > 0) {
                    $parentrow = $query_parent_id->fetchRow(MYSQLI_ASSOC);
                    $parent = $parentrow['parent'];
                }
                break;

            case 1:
            default:
                // start at site root
                $parent = 0;
                break;
        }

        // sanity check on parent, check for smaller than 1 because of string cast
        if( (trim($parent) == "") || ($parent < 1) ) {
            $parent = 0;
        }

        // build the sitemap
        sitemap($level_header, $sitemaploop, $level_footer,$show_hidden,$parent, $depth);
    }

    echo $footer;

// Function to build sitemap
    function sitemap($level_header='', $sitemaploop='', $level_footer='', $show_hidden=false, $parent = 0, $to_depth = 0, $current_depth = 0)
    {
//        global $sDateFormat,$sTimeFormat;
/* -------------------------------------------------------- */
        $addBracket = (function (){
            $aList = func_get_args();
        //    return preg_replace('/^(.*)$/', '/\[$1\]/s', $aList);
            return preg_replace('/^(.*)$/', '[$1]', $aList);
        });
/* -------------------------------------------------------- */
        $oReg = WbAdaptor::getInstance();
        $database = $oReg->getDatabase();
        $oApp     = $oReg->getApplication();
        $isAuth   = $oApp->is_authenticated();
        $sDomain  = $oApp->getDirNamespace(__DIR__);
        $oTrans   = $oReg->getTranslate();
        $oTrans->enableAddon($sDomain);
/* -------------------------------------------------------- */
        $sDateFormat = ($oReg->DateFormat ?? 'system_default');
        $sDateFormat = ($sDateFormat == 'system_default') ? $oReg->DefaultDateFormat : $oReg->DateFormat;
        $sDateFormat = PreCheck::dateFormatToStrftime($sDateFormat);
        $sTimeFormat = ($oReg->TimeFormat ?? 'system_default');
        $sTimeFormat = ($sTimeFormat == 'system_default') ? $oReg->DefaultTimeFormat : $oReg->TimeFormat;
        $sTimeFormat = str_replace('|', ' ',$sTimeFormat);
/* -------------------------------------------------------- */
        if ($show_hidden==true){
            $where_sql="visibility != 'deleted'";
        } else {
            $where_sql="visibility = 'public'";
        }
        // Query pages
        $sSqlbody = '
        SELECT
        `p`.`page_id`,`p`.`parent`,`p`.`link`,`p`.`page_title`,
        `p`.`menu_title`,`p`.`description`,`p`.`keywords`,`p`.`modified_when`,
        `p`.`modified_by`,`p`.`link`,`p`.`target`,`p`.`visibility`,
        `u`.`user_id`,`u`.`display_name`
        FROM `'.$oReg->TablePrefix.'pages` `p`
        INNER JOIN `'.$oReg->TablePrefix.'users` `u`
        ON `u`.`user_id` = `p`.`modified_by`
        WHERE '.$where_sql.'
           AND `parent` = '.$parent.'
         ORDER BY `position`
        ';

        if (!($oSitemap = $database->query($sSqlbody))){
$sDomain = \basename(__DIR__).'/'.\basename(__FILE__);
print '<pre class="w3-pre w3-border w3-white w3-small w3-container w3-padding" style="width:100%;">'.nl2br(sprintf("function: <span>%s</span> (%s) Filename: <span>%s</span> Line %d\n",(!empty(__FUNCTION__) ? __FUNCTION__ : 'global'),'myVar',$sDomain,__LINE__));
\print_r( $database->get_error() ); print "</pre>"; \flush (); // htmlspecialchars() ob_flush();;sleep(10); die();
        } else
        {

        // Check if there are any pages to show
            if($oSitemap->numRows() > 0) {
                // Print level header
                echo $level_header;

                // Loop through pages
                $new_depth = $current_depth + 1;
                while(($page = $oSitemap->fetchRow(MYSQLI_ASSOC))) {
                    //get username from user id
/*
                    $userquery  = "SELECT `display_name` FROM `".TABLE_PREFIX."users` WHERE `user_id` = ".$page['modified_by'];
                    $query_user = $database->query($userquery);
                    $user = $query_user->fetchRow(MYSQLI_ASSOC);
*/
//                    $aPlaceHolders    = array('[PAGE_ID]', '[PARENT]', '[LINK]', '[PAGE_TITLE]', '[MENU_TITLE]', '[DESCRIPTION]', '[KEYWORDS]', '[TARGET]', '[MODIFIED_WHEN]', '[MODIFIED_BY]', '[MODIFIED_DATE]','[MODIFIED_TIME]' );
                    $aPlaceHolders = $addBracket(
                        'PAGE_ID',
                        'PARENT',
                        'LINK_TITLE',
                        'LINK',
                        'PAGE_TITLE',
                        'MENU_TITLE',
                        'DESCRIPTION',
                        'KEYWORDS',
                        'TARGET',
                        'MODIFIED_WHEN',
                        'DISPLAY_NAME',
                        'MODIFIED_DATE',
                        'MODIFIED_TIME'
                    );
/*
                    $aReplacements = array(
                    $page['page_id'],
                    $page['parent'],
                    page_link($page['link'],true),
                    stripslashes($page['page_title']),
                    stripslashes($page['menu_title']),
                    stripslashes($page['description']),
                    stripslashes($page['keywords']),
                    $page['target'],
                    "[MODIFIED_DATE] [MODIFIED_TIME]",
                    $page['display_name'],
                    date(DATE_FORMAT, $page['modified_when']),
                    date(TIME_FORMAT, $page['modified_when'])
                    );
*/
                    $iPageId = $page['page_id'];
                    $iParent = $page['parent'];
                    $sLinkTitle    = ($isAuth ? $oTrans->SMTEXT_LINK_TITLE : '');
                    $sLink   = page_link($page['link']);
                    $sPageTitle    = stripslashes($page['page_title']);
                    $sMenuTitle    = stripslashes($page['menu_title']);
                    $sDescription  = stripslashes($page['description']);
                    $sKeywords     = stripslashes($page['keywords']);
                    $sTarget       = $page['target'];
                    $modified_when = "[MODIFIED_DATE] [MODIFIED_TIME]";
                    if ($isAuth){
                        $sDisplayName  = $page['display_name'];
                        $modified_date = \bin\helpers\PreCheck::getStrftime ($sDateFormat,$page['modified_when']+TIMEZONE);
                        $modified_time = date ($sTimeFormat,$page['modified_when']+TIMEZONE);
                    } else {
                      $sDisplayName  = '';
                      $modified_date = '';
                      $modified_time = '';
                    }

/*
                    "[MODIFIED_DATE] [MODIFIED_TIME]",
                    $user['display_name'],
                    date(DATE_FORMAT, $page['modified_when']),date(TIME_FORMAT, $page['modified_when']
*/
                    $aReplacements = [
                    $iPageId,
                    $iParent,
                    $sLinkTitle,
                    $sLink,
                    $sPageTitle,
                    $sMenuTitle,
                    $sDescription,
                    $sKeywords,
                    $sTarget,
                    $modified_when,
                    $sDisplayName,
                    $modified_date,
                    $modified_time
                    ];
                    echo str_replace($aPlaceHolders, $aReplacements, $sitemaploop);
                    //gmdate(DATE_FORMAT, $page['modified_when'] +TIMEZONE)." - ". gmdate(TIME_FORMAT, $page['modified_when'] +TIMEZONE)
                    //determine if we may descend further in the subpages
                    if( $new_depth != $to_depth ) {
                        // pass on the maximum and current depth
                        sitemap($level_header, $sitemaploop, $level_footer,$show_hidden, $page['page_id'], $to_depth, $new_depth);
                    }
                }// end while
                // Print level footer
                echo $level_footer;
            } //end found rows
        }//no db error
    } // end function sitemap
